Get list of work order activities by uuid

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.praxedo.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "public-rest-apis MCP server": {
    "url": "https://developers.praxedo.com/mcp"
  }
}

Close
GET /eTech/rest/ws/fieldTracking/v1/workOrders/uuid:{workOrderUuid}/activities

This API endpoint returns paginated lists of work order activities. Data is sorted by startDate. Pagination is fixed at 200 objects per page. An empty response indicates the final page.

Pair with the Praxedo webhook for near-real-time invoicing or stock synchronisation.

Rate limit range : High

Path parameters

  • workOrderUuid string(uuid) Required

    Uuid of the work order.

Query parameters

  • validationStatus string

    Values are validated, notValidated, or all. Default value is all.

  • invoicingStatus string

    Values are billable, notBillable, or all. Default value is all.

  • continuationToken string

    The continuation token which was received in the previous request. It contains information on the page to fetch. If not present, then the first page of results will be returned.

Responses

  • 200 application/json

    OK - List of work order activities.

    Hide response attributes Show response attributes object
    • continuationToken string | null
    • data array[object] Required
      Hide data attributes Show data attributes object
      • activityId string(uuid)
      • activityTypeCode string
      • agentCode string
      • startTime string(date-time)
      • endTime string(date-time)
      • duration string

        Duration of the activity, in ISO-8601 duration format.

        Format should match the following pattern: PnDTnHnMn.nS..

      • billable boolean
      • validatedAt string(date-time) | null
      • lastUpdate string(date-time)
  • 400 application/json

    Bad Request - continuation token error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 401 application/json

    Unauthorized - authentication issue.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 403 application/json

    Forbidden - not enough rights.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 404 application/json

    Not Found - Work order not found.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 429 application/json

    Too Many Requests.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

  • 500 application/json

    Internal server error.

    Hide response attributes Show response attributes object
    • errors array[object]

      Array of errors. Contains at least one element.

      Hide errors attributes Show errors attributes object

      Contains code and message for error.

      • code string Required
      • message string Required
    • errorReference string Required

      Error unique reference. Communicated to support, this will help to locate the issue.

      Format should match the following pattern: [0-1a-z].

GET /eTech/rest/ws/fieldTracking/v1/workOrders/uuid:{workOrderUuid}/activities
curl \
 --request GET 'https://ws-eu1.praxedo.com/eTech/rest/ws/fieldTracking/v1/workOrders/uuid:550e8400-e29b-41d4-a716-446655440000/activities' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "continuationToken": "string",
  "data": [
    {
      "activityId": "string",
      "activityTypeCode": "WORK",
      "agentCode": "TECH-023",
      "startTime": "2026-05-04T09:42:00Z",
      "endTime": "2026-05-04T09:42:00Z",
      "duration": "PT1H30M",
      "billable": true,
      "validatedAt": "2026-05-04T09:42:00Z",
      "lastUpdate": "2026-05-04T09:42:00Z"
    }
  ]
}
Response examples (400)
{
  "errors": [
    {
      "code": "fieldTracking.continuationToken.invalid",
      "message": "The provided continuation token does not respect the expected format."
    }
  ],
  "errorReference": "59ddc09a23159395367307ab95b1c41a"
}
Response examples (401)
{
  "errors": [
    {
      "code": "unauthorized.nocredentials",
      "message": "No credentials."
    }
  ],
  "errorReference": "f939c6b8c15045c9a70f500fdb570555"
}
{
  "errors": [
    {
      "code": "unauthorized.badcredentials",
      "message": "Bad Credentials."
    }
  ],
  "errorReference": "f1028f99811b422eb21f5ff176664069"
}
Response examples (403)
{
  "errors": [
    {
      "code": "access.forbiden",
      "message": "You don't have the rights to access this resource."
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (404)
{
  "errors": [
    {
      "code": "fieldTracking.workOrder.notfound",
      "message": "Work order not found"
    }
  ],
  "errorReference": "a745dc4c5a2b473aaf8ce94c9260aa8f"
}
Response examples (429)
{
  "errors": [
    {
      "code": "ratelimiter.toomanyrequest",
      "message": "Rejected because of the rate limit definition."
    }
  ],
  "errorReference": "973326230a3f44daba6cc34a5939b4fb"
}
Response examples (500)
{
  "errors": [
    {
      "code": "internal.server.error",
      "message": "Something went wrong."
    }
  ],
  "errorReference": "6377010431314bf6b0b95ec4d32ddae0"
}